org.apache.solr.client.solrj.request

## Class SolrPing

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest
  - - org.apache.solr.client.solrj.request.SolrPing

All Implemented Interfaces:
  Serializable

    public class SolrPing
    extends SolrRequest

Verify that there is a working Solr core at the URL of a `SolrServer`. To use this class, the solrconfig.xml for the relevant core must include the request handler for `/admin/ping`.

Since:
  solr 1.3
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Constructor Summary

Constructors
Constructor and Description
`SolrPing()`

### Method Summary

Methods
`Collection<ContentStream>` `getContentStreams()`
`ModifiableSolrParams` `getParams()`
`SolrPingResponse` `process(SolrServer server)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrPing

    public SolrPing()

### Method Detail

#### getContentStreams

    public Collection<ContentStream> getContentStreams()

Specified by:
  `getContentStreams` in class `SolrRequest`

#### getParams

    public ModifiableSolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest`

#### process

    public SolrPingResponse process(SolrServer server)
                             throws SolrServerException,
                                    IOException

Specified by:
  `process` in class `SolrRequest`
Throws:
  `SolrServerException`
  `IOException`